Bug 32221 - Password entry should be removed from placeholder list in notices editor
Summary: Password entry should be removed from placeholder list in notices editor
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Matt Blenkinsop
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-16 00:15 UTC by Christopher Brannon
Modified: 2023-01-20 13:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00


Attachments
borrowers.password (44.63 KB, image/png)
2022-11-16 22:02 UTC, Christopher Brannon
Details
Bug 32221: Borrowers.password should no longer be an option (1.56 KB, patch)
2022-11-28 14:49 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 32221: Borrowers.password should no longer be an option (1.59 KB, patch)
2022-11-28 19:42 UTC, David Nind
Details | Diff | Splinter Review
Bug 32221: Borrowers.password should no longer be an option (1.65 KB, patch)
2022-12-16 18:54 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2022-11-16 00:15:07 UTC
Since the password can no longer be shown in notices, borrowers.password should be removed from the notice templates.
Comment 1 Katrin Fischer 2022-11-16 00:39:26 UTC
Hi Christopher, do you mean the ability to add it using the list in the notice editor or do you mean one of the sample notices? The latter should have been done.
Comment 2 Christopher Brannon 2022-11-16 22:02:18 UTC
Created attachment 143974 [details]
borrowers.password
Comment 3 Christopher Brannon 2022-11-16 22:03:21 UTC
(In reply to Katrin Fischer from comment #1)
> Hi Christopher, do you mean the ability to add it using the list in the
> notice editor or do you mean one of the sample notices? The latter should
> have been done.

I mean the list (see attachment).  Doesn't make sense to have it there anymore.
Comment 4 Katrin Fischer 2022-11-16 22:07:53 UTC
Thx for clarifying!
Comment 5 Matt Blenkinsop 2022-11-28 14:49:23 UTC Comment hidden (obsolete)
Comment 6 David Nind 2022-11-28 19:42:50 UTC
Created attachment 144306 [details] [review]
Bug 32221: Borrowers.password should no longer be an option

When creating a notice template the user has the option to add the borrower's password to the template. This should be removed as the password should not be an option to be added to a notice.

Test plan:
1) Navigate to Tools > Notices and slips
2) Either create a new notice or edit an existing notice
3) Observe that in the list of fields available to insert into the message body, there is the option for "borrowers.password"
4) Apply patch
5) Navigate to the same menu
6) Observe that the "borrowers.password" option is now no longer visible

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2022-11-28 19:44:41 UTC
Matt, I have added you as the assignee for the bug.
Comment 8 Kyle M Hall 2022-12-16 18:54:59 UTC
Created attachment 144702 [details] [review]
Bug 32221: Borrowers.password should no longer be an option

When creating a notice template the user has the option to add the borrower's password to the template. This should be removed as the password should not be an option to be added to a notice.

Test plan:
1) Navigate to Tools > Notices and slips
2) Either create a new notice or edit an existing notice
3) Observe that in the list of fields available to insert into the message body, there is the option for "borrowers.password"
4) Apply patch
5) Navigate to the same menu
6) Observe that the "borrowers.password" option is now no longer visible

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Martin Renvoize 2023-01-20 13:57:20 UTC
Keep up the good work!

Pushed to 23.05.x for the next release